Subject: Re: bug#20104: [PATCH] gzip: make the GZIP env var obsolescent

From: Paul Eggert <[email-masked]>
Date: Tue, 17 Mar 2015 11:19:35 -0700

On 03/17/2015 07:53 AM, Jim Meyering wrote:
> Very nice.

Thanks for checking it.  I changed one minor nit (an if-then-else which 
was a tiny bit clearer with the if-condition negated and the then- and 
else- parts swapped) and installed the result.

Hmm, after doing that, though, I discovered that Automake generates a 
dist-gzip rule that by default sets GZIP='--best' in the environment.  I 
think this is partly to work around the problem that GZIP in the 
environment can mess up how 'gzip' works, and partly to generate 
more-compressed output.  So this behavior by Automake is *both* a 
workaround for the longstanding gzip misfeature, *and* a use of the 
misfeature.  What a mess.

I suppose we could fix Automake to supply --best in a more-portable 
way.  Or perhaps we could unbend a bit and allow GZIP to supply -1 
through -9, --fast, --best.